petsc-3.4.2 2013-07-02

# KSPGetRhs

Gets the right-hand-side vector for the linear system to be solved.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetRhs(KSP ksp,Vec *r)

Not Collective

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameter

r -right-hand-side vector

### Keywords

KSP, get, right-hand-side, rhs

### See Also

KSPGetSolution(), KSPSolve()

Level:developer
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex25.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/ksp/ksp/examples/tutorials/ex45.c.html